View Issue Details

IDProjectCategoryView StatusLast Update
0034292FPCCompilerpublic2018-09-29 01:51
ReporterDo-wan KimAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSwindowsOS Version10
Product Version3.3.1Product Build39763 
Target VersionFixed in Version3.3.1 
Summary0034292: After r39759, cannot launch Lazarus IDE
DescriptionWith r39759 optimization, lazarus IDE cannot launch and only shows upgrading dialog everytime and it abort IDE execution when click upgrade button.

I commented optimization code, it works ok.

Optimization is something wrong.

TagsNo tags attached.
Fixed in Revision39837
FPCOldBugId
FPCTarget
Attached Files

Activities

Julian Puhl

2018-09-17 13:02

reporter   ~0110823

Can confirm at least for an old (1.9) configuration which needs upgrading. Without the changes from mentioned revision it works. Otherwise the upgrade fails. I have not tested what happens with an upgraded one.

Bart Broersma

2018-09-17 22:56

reporter   ~0110840

> optimize (v>=x) and (v<=y) into (v-x)<(y-x)
If the commit does what this says, it is incorrect for the case that x=v=y:
(v>=x)=true, (v<=x)=true, (v-x)<(y-x) translates to (0<0) wich is false.

Bart Broersma

2018-09-23 23:30

reporter   ~0110989

Last edited: 2018-09-23 23:31

View 2 revisions

It only is always correct if both x and y are positive and not the same.

Florian

2018-09-27 22:25

administrator   ~0111057

Please test with r39837

Do-wan Kim

2018-09-28 02:23

reporter   ~0111058

It works ok with r39837.

Do-wan Kim

2018-09-29 01:51

reporter   ~0111068

Thank you :)

Issue History

Date Modified Username Field Change
2018-09-17 09:47 Do-wan Kim New Issue
2018-09-17 13:02 Julian Puhl Note Added: 0110823
2018-09-17 22:56 Bart Broersma Note Added: 0110840
2018-09-23 23:30 Bart Broersma Note Added: 0110989
2018-09-23 23:31 Bart Broersma Note Edited: 0110989 View Revisions
2018-09-27 22:25 Florian Note Added: 0111057
2018-09-28 02:23 Do-wan Kim Note Added: 0111058
2018-09-28 20:34 Florian Fixed in Revision => 39837
2018-09-28 20:34 Florian Status new => resolved
2018-09-28 20:34 Florian Fixed in Version => 3.3.1
2018-09-28 20:34 Florian Resolution open => fixed
2018-09-28 20:34 Florian Assigned To => Florian
2018-09-29 01:51 Do-wan Kim Note Added: 0111068
2018-09-29 01:51 Do-wan Kim Status resolved => closed